Show / Hide Table of Contents

# Struct AddonSynthesize

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonSynthesize

### Fields

| Improve this Doc View Source

#### AtkCollisionNode240

##### Declaration

    public AtkCollisionNode*AtkCollisionNode240

##### Field Value

Type | Description
--- | ---
AtkCollisionNode* |

| Improve this Doc View Source

#### AtkComponentBase258

##### Declaration

    public AtkComponentBase*AtkComponentBase258

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### AtkComponentBase2D8

##### Declaration

    public AtkComponentBase*AtkComponentBase2D8

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### AtkComponentBase2E0

##### Declaration

    public AtkComponentBase*AtkComponentBase2E0

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### AtkComponentBase2E8

##### Declaration

    public AtkComponentBase*AtkComponentBase2E8

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### AtkComponentBase2F0

##### Declaration

    public AtkComponentBase*AtkComponentBase2F0

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### AtkComponentBase2F8

##### Declaration

    public AtkComponentBase*AtkComponentBase2F8

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### AtkComponentBase300

##### Declaration

    public AtkComponentBase*AtkComponentBase300

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### AtkComponentBase308

##### Declaration

    public AtkComponentBase*AtkComponentBase308

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### AtkComponentBase310

##### Declaration

    public AtkComponentBase*AtkComponentBase310

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### AtkComponentCheckBox318

##### Declaration

    public AtkComponentCheckBox*AtkComponentCheckBox318

##### Field Value

Type | Description
--- | ---
AtkComponentCheckBox* |

| Improve this Doc View Source

#### AtkComponentIcon238

##### Declaration

    public AtkComponentIcon*AtkComponentIcon238

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### AtkComponentTextNineGrid478

##### Declaration

    public AtkComponentTextNineGrid*AtkComponentTextNineGrid478

##### Field Value

Type | Description
--- | ---
AtkComponentTextNineGrid* |

| Improve this Doc View Source

#### AtkResNode250

##### Declaration

    public AtkResNode*AtkResNode250

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### AtkResNode280

##### Declaration

    public AtkResNode*AtkResNode280

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### AtkResNode2C0

##### Declaration

    public AtkResNode*AtkResNode2C0

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### AtkResNode320

##### Declaration

    public AtkResNode*AtkResNode320

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### AtkResNode328

##### Declaration

    public AtkResNode*AtkResNode328

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### AtkResNode330

##### Declaration

    public AtkResNode*AtkResNode330

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### AtkResNode480

##### Declaration

    public AtkResNode*AtkResNode480

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### AtkTextNode338

##### Declaration

    public AtkTextNode*AtkTextNode338

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### CalculationsButton

##### Declaration

    public AtkComponentButton*CalculationsButton

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### Condition

##### Declaration

    public AtkTextNode*Condition

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### ConditionResNode

##### Declaration

    public AtkResNode*ConditionResNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### CraftedItemName

##### Declaration

    public AtkTextNode*CraftedItemName

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### CraftEffect1

##### Declaration

    public AddonSynthesize.CraftEffect CraftEffect1

##### Field Value

Type | Description
--- | ---
AddonSynthesize.CraftEffect |

| Improve this Doc View Source

#### CraftEffect1HoverText

##### Declaration

    public Utf8String CraftEffect1HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect2

##### Declaration

    public AddonSynthesize.CraftEffect CraftEffect2

##### Field Value

Type | Description
--- | ---
AddonSynthesize.CraftEffect |

| Improve this Doc View Source

#### CraftEffect2HoverText

##### Declaration

    public Utf8String CraftEffect2HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect3

##### Declaration

    public AddonSynthesize.CraftEffect CraftEffect3

##### Field Value

Type | Description
--- | ---
AddonSynthesize.CraftEffect |

| Improve this Doc View Source

#### CraftEffect3HoverText

##### Declaration

    public Utf8String CraftEffect3HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect4

##### Declaration

    public AddonSynthesize.CraftEffect CraftEffect4

##### Field Value

Type | Description
--- | ---
AddonSynthesize.CraftEffect |

| Improve this Doc View Source

#### CraftEffect4HoverText

##### Declaration

    public Utf8String CraftEffect4HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect5

##### Declaration

    public AddonSynthesize.CraftEffect CraftEffect5

##### Field Value

Type | Description
--- | ---
AddonSynthesize.CraftEffect |

| Improve this Doc View Source

#### CraftEffect5HoverText

##### Declaration

    public Utf8String CraftEffect5HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect6

##### Declaration

    public AddonSynthesize.CraftEffect CraftEffect6

##### Field Value

Type | Description
--- | ---
AddonSynthesize.CraftEffect |

| Improve this Doc View Source

#### CraftEffect6HoverText

##### Declaration

    public Utf8String CraftEffect6HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect7

##### Declaration

    public AddonSynthesize.CraftEffect CraftEffect7

##### Field Value

Type | Description
--- | ---
AddonSynthesize.CraftEffect |

| Improve this Doc View Source

#### CraftEffect7HoverText

##### Declaration

    public Utf8String CraftEffect7HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect8

##### Declaration

    public AddonSynthesize.CraftEffect CraftEffect8

##### Field Value

Type | Description
--- | ---
AddonSynthesize.CraftEffect |

| Improve this Doc View Source

#### CraftEffect8HoverText

##### Declaration

    public Utf8String CraftEffect8HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect9

##### Declaration

    public AddonSynthesize.CraftEffect CraftEffect9

##### Field Value

Type | Description
--- | ---
AddonSynthesize.CraftEffect |

| Improve this Doc View Source

#### CraftEffect9HoverText

##### Declaration

    public Utf8String CraftEffect9HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CurrentDurability

##### Declaration

    public AtkTextNode*CurrentDurability

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### CurrentProgress

##### Declaration

    public AtkTextNode*CurrentProgress

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### CurrentQuality

##### Declaration

    public AtkTextNode*CurrentQuality

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### HQLiteral

##### Declaration

    public AtkTextNode*HQLiteral

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### HQPercentage

##### Declaration

    public AtkTextNode*HQPercentage

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### MaxProgress

##### Declaration

    public AtkTextNode*MaxProgress

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### MaxQuality

##### Declaration

    public AtkTextNode*MaxQuality

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### ProgressGauge

##### Declaration

    public AtkComponentGaugeBar*ProgressGauge

##### Field Value

Type | Description
--- | ---
AtkComponentGaugeBar* |

| Improve this Doc View Source

#### QualityGauge

##### Declaration

    public AtkComponentGaugeBar*QualityGauge

##### Field Value

Type | Description
--- | ---
AtkComponentGaugeBar* |

| Improve this Doc View Source

#### QuitButton

##### Declaration

    public AtkComponentButton*QuitButton

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### RootCollisionNode

##### Declaration

    public AtkCollisionNode*RootCollisionNode

##### Field Value

Type | Description
--- | ---
AtkCollisionNode* |

| Improve this Doc View Source

#### StartingDurability

##### Declaration

    public AtkTextNode*StartingDurability

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### StepNumber

##### Declaration

    public AtkTextNode*StepNumber

##### Field Value

Type | Description
--- | ---
AtkTextNode* |